# Class StoreFileUtils

java.lang.Object
uk.ac.starlink.util.gui.StoreFileUtils

public class StoreFileUtils extends Object
Class of static members that provide utility functions for locating configuration files.

Version:
  $Id$
Author:
  Peter W. Draper

## Method Summary

Modifier and Type
Method
Description
`static File`
`getConfigDirectory(String applicationName)`
The name of the directory used for storing configuration information.
`static File`
`getConfigFile(String applicationName, String name)`
Construct the proper name of a file stored in the configuration directory.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getConfigDirectory

public static File getConfigDirectory(String applicationName)
The name of the directory used for storing configuration information. This directory is created if it doesn't exist already.

Parameters:
  `applicationName` - name of the application, used to generate the top-directory name

### getConfigFile

public static File getConfigFile(String applicationName, String name)
Construct the proper name of a file stored in the configuration directory.

Parameters:
  `applicationName` - name of the application (same as for `getConfigDirectory(String)`)
  `name` - the name of the file to be stored/located in the the configuration directory.